html {
	background: #000;
	color: #fff;
	font-family: sans-serif;
}

html,
body {
	margin: 0;
	padding: 0;
}

#menu {
	padding: 1em;
	text-align: center;
}

#menu button {
	font: inherit;
	background: #000;
	color: #fff;
	padding: 1em;
	border: solid medium;
	border-radius: 0.5em;
	margin: 0.5em;
	line-height: 2.5;
}

#menu button:hover {
	box-shadow: 0 0 0.5em 0.2em #fff;
	transition: all 0.2s;
}

#menu button b {
	font-size: 400%;
	display: inline-block;
	width: 1.5em;
	line-height: 1.5em;
	border-radius: 0.25em;
}

kbd {
	font-size: 150%;
	display: inline-block;
	width: 1em;
	line-height: 1em;
	border: solid thin;
	border-radius: 0.25em;
}

#button-customize {
	width: 31em;
}

#customize p {
	max-width: 360px;
	margin: 1em auto;
}

.label {
	display: inline-block;
	width: 4em;
}

input[type="radio"] {
	display: none;
}

input[type="radio"] ~ span {
	display: inline-block;
	margin-right: 0.5em;
	width: 2em;
	height: 2em;
	border-radius: 1em;
	border: solid medium;
	vertical-align: middle;
	text-align: center;
	line-height: 2em;
}

input[type="radio"] ~ span[data-i] {
	color: #000;
	background: #ccc;
	border-color: #fff;
}

input[type="radio"] ~ span[data-i]::after {
	content: attr(data-i);
}

input[type="radio"]:checked ~ span {
	border-color: #22f;
}

input[type="radio"]:disabled ~ span {
	color: #000;
	background: #aaa !important;
	border-color: #aaa;
}

input[type="radio"]:disabled ~ span::after {
	font-weight: bold;
	font-size: 150%;
	content: "?";
}

#header {
	position: relative;
	margin: auto;
}

#header label {
	position: absolute;
	top: 0;
	padding: 4px;
}

#header label:first-child {
	left: 0;
}

#header label:last-child {
	right: 0;
}

input[type="checkbox"],
input[type="checkbox"]:checked ~ .off,
input[type="checkbox"]:not(:checked) ~ .on {
	display: none;
}

canvas {
	display: block;
	margin: auto;
}

button:enabled,
label {
	cursor: pointer;
}

@keyframes wiggle {
	0% {
		transform: rotate(0deg);
	}
	25% {
		transform: rotate(10deg);
	}
	50% {
		transform: rotate(-5deg);
	}
	75% {
		transform: rotate(10deg);
	}
	100% {
		transform: rotate(0deg);
	}
}

#overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.85);
	text-align: center;
	padding-top: 20px;
}

#customize button,
#overlay button {
	border: none;
	background: transparent;
	color: #fff;
	font-size: 32px;
	height: auto;
}

#customize button:hover svg,
#overlay button:hover svg {
	animation: wiggle 0.7s;
}

#customize button:focus,
#overlay button:focus {
	outline: dotted thin;
}

#result {
	padding: 1em;
	font-size: 18px;
	line-height: 2;
}